isis-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Erik de Hair <e.deh...@pocos.nl>
Subject Re: Exception while deploying application using (1.9.0-SNAPSHOT)
Date Wed, 26 Aug 2015 13:21:47 GMT

>> that existed in isis-core-metamodel-1.8.0 but doesn't exist anymore in
>> isis-core-metamodel-1.9.0-SNAPSHOT, while PersistenceSessionFactory from
>> isis-core-runtime-1.9.0-SNAPSHOT still has the following assignment:
>>
>>
>> private final ServicesInjectorSpi servicesInjector = new
>> ServicesInjectorDefault(); (line 66)
>>
>>
>> Can you confirm this?
>
>
> I think you are picking up an old version of PersistenceSessionFactory.
> The current version of that class is:
>
> https://github.com/apache/isis/blob/master/core/runtime/src/main/java/org/apache/isis/core/runtime/system/persistence/PersistenceSessionFactory.java#L66
>
I've got a file isis-core-runtime-1.9.0-SNAPSHOT.jar in my local mvn 
repo. The corresponding source file shows the same content as in [1] but 
when decompiling the class it shows an old version containing the 
default constructor. There's a file 
isis-core-runtime-1.9.0-20150825.065820-165.jar that has the right 
content in the source as well when decompiling.

The jar in my WEB-INF/lib has the wrong version of the class also. Is 
the jar in the central repo correct?

Erik
> HTH
> Dan
>
>


Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message